package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 微信公众号事件枚举
 * @Author 纪寒
 * @Date 2024-03-25 14:38:27
 * @Version 1.0
 */
@Getter
public enum OfficialAccountEventEnum {
    /**
     * 模板消息推送事件
     */
    TEMPLATESENDJOBFINISH("TEMPLATESENDJOBFINISH"),

    /**
     * 关系公众号事件
     */
    SUBSCRIBE("subscribe"),

    /**
     * 取关公众号事件
     */
    UNSUBSCRIBE("unsubscribe"),
    ;

    final private String info;

    OfficialAccountEventEnum(String info) {
        this.info = info;
    }
}
